<?php

namespace App\Models\Core\Auth;

use Illuminate\Database\Eloquent\Model;

class PasswordReset extends Model
{
    protected $table = 'password_resets';

    public function scopeByToken($query, $token)
    {
        return $query->where('token', $token);
    }

    public function scopeByEmail($query, $email)
    {
        return $query->where('email', $email);
    }
}
